org.springframework.beans.factory.config

## Interface BeanReference

- All Superinterfaces:
    BeanMetadataElement
  All Known Implementing Classes:
    RuntimeBeanNameReference, RuntimeBeanReference

      public interface BeanReference
      extends BeanMetadataElement

  Interface that exposes a reference to a bean name in an abstract fashion. This interface does not necessarily imply a reference to an actual bean instance; it just expresses a logical reference to the name of a bean.

  Serves as common interface implemented by any kind of bean reference holder, such as `RuntimeBeanReference` and `RuntimeBeanNameReference`.

  Since:
    2.0
  Author:
    Juergen Hoeller

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeanName()` Return the target bean name that this reference points to (never `null`).

    - ### Methods inherited from interface org.springframework.beans.BeanMetadataElement

      `getSource`

- - ### Method Detail

    - #### getBeanName

          String getBeanName()

      Return the target bean name that this reference points to (never `null`).